Subject: bug#12419: Mouse click changes layout

From: martin rudalics <[email-masked]>
Date: Fri, 14 Sep 2012 17:08:14 +0200

> Sounds reasonable.  But shouldn't it be a user choice (e.g. option)?  What if a
 > user wants some particular window's height (or width) to stay the same (assuming
 > there is enough space), while s?he changes the frame height (or width)?
 >
 > Perhaps something akin to window dedication, to indicate that, as much as
 > possible, you want to keep the height or width of a particular window.

You can set `window-size-fixed' in that buffer.

 > Or perhaps we could optionally let users keep just the selected window the same
 > size (as much as possible), when resizing the frame.  That would perhaps be
 > simpler than the suggestion above.

That's problematic when the same buffer is shown in two different
windows.

 >> When dragging a divider, windows are resized asymmetrically,
 >> that is we enlarge only the window we drag away from and
 >> shrink the windows on the other side.
 >
 > That sounds normal, but what is the alternative - how could it be otherwise?

That all windows on the other side get resized proportionally.

 >> Asymmetric resizing is not reversible, that is, dragging the
 >> divider back by the same amount will not necessarily reproduce the
 >> inital configuration.
 >
 > I don't think that is what I see.  But I guess I don't understand what you're
 > saying.  Can you give an example, and contrast what happens in earlier Emacs
 > releases?

Try with three windows above each other and drag one modeline until both
windows in the direction you drag to are at their minimum height.  Then
drag the divider back.  The outermost window is not sized back.  Now set
`resize-mini-windows' to nil and drag the bottom modeline.  All windows
get resized proportionally in both directions.

In Emacs 23.3 automatically resizing the minibuffer resizes the lowest
window first.  That's what people want.  But IIRC this doesn't work with
`resize-mini-windows' t and `resize-mini-windows' nil doesn't work when
the lowest window is at its minimum height.

martin